#!/bin/bash

if [[ "${1}" == "" ]]; then
	echo "Please provide a calibration JSON"
fi

if [[ "${2}" == "" ]]; then
	echo "Please provide one video or directory of images"
	exit 2
fi


if [ -f "${1}" ]; then
	OUTPUT=$(mktemp -d)
	ffmpeg -y -re -i "${1}" \
		-q:v 1 -qmin 1 -qmax 1 \
		"${OUTPUT}/frame_%06d.tif"
else
	OUTPUT="${1}"
fi



